summaryrefslogtreecommitdiff
path: root/configs/sl13.3.conf
diff options
context:
space:
mode:
Diffstat (limited to 'configs/sl13.3.conf')
-rw-r--r--configs/sl13.3.conf788
1 files changed, 0 insertions, 788 deletions
diff --git a/configs/sl13.3.conf b/configs/sl13.3.conf
deleted file mode 100644
index 5438e01..0000000
--- a/configs/sl13.3.conf
+++ /dev/null
@@ -1,788 +0,0 @@
-%define gcc_version 5
-
-Substitute: kiwi-packagemanager:instsource kiwi-desc-isoboot-requires kiwi-instsource kiwi-instsource-plugins-openSUSE-13-2
-Substitute: kiwi-setup:image kiwi createrepo tar -kiwi-desc-isoboot-requires -kiwi-desc-oemboot-requires -kiwi-desc-netboot-requires -kiwi-desc-vmxboot-requires -kiwi-desc-xenboot-requires
-Conflict: kiwi:libudev-mini1
-Conflict: kiwi:systemd-mini
-Conflict: libudev1:udev-mini
-
-FileProvides: /usr/sbin/groupadd pwdutils
-FileProvides: /usr/sbin/useradd shadow
-FileProvides: /sbin/netconfig sysconfig-netconfig
-FileProvides: /usr/bin/docbook2man docbook-utils
-FileProvides: /usr/bin/mkisofs cdrkit-cdrtools-compat
-FileProvides: /usr/sbin/lockdev lockdev
-FileProvides: /bin/logger util-linux-systemd
-
-Preinstall: aaa_base attr bash coreutils diffutils
-Preinstall: filesystem fillup glibc grep
-Preinstall: libbz2-1 libgcc_s1 m4 libncurses5 libncurses6 pam
-Preinstall: permissions libreadline7 rpm sed tar libz1 libselinux1
-Preinstall: liblzma5 libcap2 libacl1 libattr1
-Preinstall: libpopt0 libelf1 liblua5_3
-Preinstall: libpcre1
-
-Runscripts: aaa_base
-
-Order: libopenssl0_9_8:openssl-certs
-
-Prefer: libdb-4_8-devel
-VMinstall: util-linux libmount1 perl-base libdb-4_8 libsepol1 libblkid1 libuuid1 libsmartcols1
-VMinstall: kernel-obs-build
-VMInstall: iproute2
-
-ExportFilter: \.x86_64\.rpm$ x86_64
-ExportFilter: \.ia64\.rpm$ ia64
-ExportFilter: \.s390x\.rpm$ s390x
-ExportFilter: \.ppc64\.rpm$ ppc64
-ExportFilter: \.ppc64le\.rpm$ ppc64le
-ExportFilter: \.ppc\.rpm$ ppc
-ExportFilter: -ia32-.*\.rpm$
-ExportFilter: -32bit-.*\.sparc64\.rpm$
-ExportFilter: -64bit-.*\.sparcv9\.rpm$
-ExportFilter: \.armv7l\.rpm$ armv7l
-ExportFilter: \.armv7hl\.rpm$ armv7l
-ExportFilter: ^glibc(?:-devel)?-32bit-.*\.sparc64\.rpm$ sparc64
-ExportFilter: ^glibc(?:-devel)?-64bit-.*\.sparcv9\.rpm$ sparcv9
-ExportFilter: ^acroread.*\.i586.rpm$ . x86_64
-ExportFilter: ^avmailgate.*\.i586.rpm$ . x86_64
-ExportFilter: ^avmailgate.*\.ppc.rpm$ . ppc64
-ExportFilter: ^avmailgate.*\.s390.rpm$ . s390x
-ExportFilter: ^flash-player.*\.i586.rpm$ . x86_64
-ExportFilter: ^novell-messenger-client.*\.i586.rpm$ . x86_64
-ExportFilter: ^openCryptoki-32bit.*\.s390.rpm$ . s390x
-
-Required: rpm-build
-
-# needed for su's default config - perhaps we should use a simplified form?
-Support: pam-modules
-
-# the basic stuff
-Support: perl build-mkbaselibs
-Support: brp-check-suse post-build-checks rpmlint-Factory
-# remove build-compare support to disable "same result" package dropping
-Support: build-compare
-# Extracting appdata.xml from desktop files
-Support: brp-extract-appdata
-
-Prefer: -suse-build-key
-Prefer: krb5-mini krb5-mini-devel
-Conflict: krb5-devel:krb5-mini
-Conflict: krb5:krb5-mini-devel
-Prefer: krb5-mini-devel:krb5-mini
-Prefer: libreadline7
-Prefer: libdb_java-4_8 libicu
-Prefer: cracklib-dict-small postfix
-Prefer: jta fam mozilla mozilla-nss
-Prefer: unixODBC libsoup glitz
-Prefer: gnome-panel desktop-data-openSUSE gnome2-SuSE
-Prefer: mono-nunit gecko-sharp2
-Prefer: mono-devel
-Prefer: apache2-prefork Mesa openmotif-libs ghostscript-mini ghostscript
-Prefer: gtk-sharp2 glib-sharp2 glade-sharp2
-Prefer: libzypp-zmd-backend novell-NLDAPsdk zaptel-kmp-default
-Prefer: hbedv-dazuko-kmp-default dazuko-kmp-default vmware-wkstnmods-kmp-default
-Prefer: virtualbox-kmp-default virtualbox-host-kmp-default
-Prefer: libstdc++6 libgcc_s1 libquadmath0
-Prefer: libstdc++6-32bit libstdc++6-64bit
-Prefer: libstdc++6-x86
-%ifarch s390x
-Prefer: -libstdc++41
-%endif
-Prefer: libstroke
-# for symbol syslog (syslogd is best as it has the least dependencies)
-Prefer: syslog-service syslogd
-Prefer: gnome-sharp2:art-sharp2 gnome-sharp:art-sharp
-Prefer: ifolder3:gnome-sharp2 ifolder3:gconf-sharp2
-Prefer: nautilus-ifolder3:gnome-sharp2 inkscape:gtkmm24
-Prefer: gconf-sharp2:glade-sharp2 gconf-sharp:glade-sharp
-Prefer: gjdoc:antlr-bootstrap
-Prefer: tomboy:gconf-sharp2 tomboy:gnome-sharp2
-Prefer: zmd:libzypp-zmd-backend
-Prefer: yast2-packagemanager-devel:yast2-packagemanager
-Prefer: glitz-32bit:Mesa-32bit
-Prefer: poppler-tools
-Prefer: libjpeg8-devel libjpeg-turbo
-Prefer: banshee:banshee-engine-gst helix-banshee:helix-banshee-engine-gst
-Prefer: banshee-1:banshee-1-client-classic
-Prefer: libfam0
-Prefer: java-1_5_0-ibm:java-1_5_0-ibm-alsa
-Prefer: java-1_5_0-ibm:java-1_5_0-ibm-fonts
-Prefer: java-1_6_0-ibm:java-1_6_0-ibm-fonts
-Prefer: microcode_ctl:kernel-default
-Prefer: notification-daemon
-Prefer: pkg-config gtk-doc wlan-kmp-default lua-libs lua-devel
-Prefer: gnu-jaf classpathx-mail avahi-compat-mDNSResponder yast2-control-center-qt
-Prefer: vim-normal myspell-american wine
-Prefer: eclipse-platform eclipse-scripts
-Prefer: yast2-theme-openSUSE enlightenment-theme-upstream
-Prefer: amarok:amarok-xine
-Prefer: kdenetwork3-vnc:tightvnc
-Prefer: libgweather0 jessie ndesk-dbus ndesk-dbus-glib tomcat-jsp-2_2-api tomcat-jsp-2_3-api tomcat-servlet-2_5-api
-Prefer: -servletapi3 -servletapi4 -servletapi5
-Prefer: icewm-lite
-Prefer: patterns-openSUSE-GNOME-cd:banshee
-Prefer: yast2-ncurses-pkg
-Prefer: monodevelop: mono-addins
-Prefer: ant-trax:saxon
-Prefer: gnome-session:gnome-session-branding-openSUSE
-Prefer: gnome-session:gconf2-branding-openSUSE
-Prefer: yast2-qt:yast2-qt-branding-openSUSE
-Prefer: bundle-lang-gnome:gnome-session-branding-openSUSE
-Prefer: fcitx:fcitx-branding-openSUSE
-Prefer: xfce4-notifyd:xfce4-notifyd-branding-upstream
-Prefer: exo-data:exo-branding-upstream
-Prefer: xfce4-settings:xfce4-settings-branding-upstream
-Prefer: xfdesktop:xfdesktop-branding-upstream
-Prefer: texlive-xmltex texlive-tools texlive-jadetex
-Prefer: mono-web:mono-data-sqlite
-Prefer: gnome-games:gnuchess
-Prefer: glchess:gnuchess
-Prefer: libreoffice:libreoffice-branding-upstream
-Prefer: yast2-branding-openSUSE
-Prefer: gimp:gimp-branding-upstream
-Prefer: libesd-devel:esound
-Prefer: libesd0:esound-daemon
-Prefer: package-lists-openSUSE-KDE-cd: esound-daemon
-Prefer: glib2:glib2-branding-upstream
-Prefer: libgio-2_0-0:gio-branding-upstream
-Prefer: libglib-2_0-0:glib2-branding-upstream
-Prefer: kdelibs4:kdelibs4-branding-upstream
-Prefer: kdebase4-workspace:kdebase4-workspace-branding-upstream
-Prefer: plasma5-desktop:plasma5-desktop-branding-upstream
-Prefer: plasma5-workspace:plasma5-workspace-branding-upstream
-Prefer: sddm:sddm-branding-upstream
-Prefer: kdelibs4-branding:kdelibs4-branding-upstream
-Prefer: PackageKit:PackageKit-branding-upstream
-Prefer: lightdm-gtk-greeter:lightdm-gtk-greeter-branding-upstream
-Prefer: mysql-connector-java:java-1_5_0-gcj-compat
-Prefer: -geronimo-jta-1_0_1B-api -geronimo-jms-1_1-api -geronimo-el-1_0-api
-Prefer: rhino:xmlbeans-mini
-Prefer: ghostscript-devel:ghostscript-library
-Prefer: gdm:gdm-branding-upstream
-Prefer: rpcbind log4j-mini eclipse-source
-Prefer: mx4j:log4j-mini
-Prefer: podsleuth:sg3_utils
-Prefer: libcdio_cdda0 libcdio_paranoia0
-Prefer: mozilla-xulrunner191
-Prefer: mozilla-xulrunner191-32bit
-Prefer: boo tog-pegasus
-Prefer: kde4-kupdateapplet:kde4-kupdateapplet-zypp
-Prefer: kdebase4-workspace:kdebase4-workspace-ksysguardd
-Prefer: kdebase4-openSUSE:kdebase4-workspace
-Prefer: ant:xerces-j2
-Prefer: dhcp-client:dhcp
-Prefer: dummy-release
-Prefer: e17-devel:e17
-# provides typelib(St)
-Prefer: -cinnamon
-Prefer: -bundle-lang-kde-de -bundle-lang-kde-en -bundle-lang-kde-es
-Prefer: -bundle-lang-kde-fr -bundle-lang-kde-pt -bundle-lang-kde-el
-Prefer: -bundle-lang-kde-zh -bundle-lang-kde-ja -bundle-lang-kde-ru -bundle-lang-kde-pl
-Prefer: -bundle-lang-kde-sv -bundle-lang-kde-ko -bundle-lang-kde-fi -bundle-lang-kde-da
-Prefer: -bundle-lang-kde-cs -bundle-lang-kde-nl -bundle-lang-kde-hu -bundle-lang-kde-nb
-Prefer: -bundle-lang-kde-it -bundle-lang-kde-ca -bundle-lang-kde-ar
-Prefer: -bundle-lang-gnome-es -bundle-lang-gnome-de -bundle-lang-gnome-fr
-Prefer: -bundle-lang-gnome-pt -bundle-lang-gnome-en -bundle-lang-gnome-el
-Prefer: -bundle-lang-gnome-zh -bundle-lang-gnome-ja -bundle-lang-gnome-ru -bundle-lang-gnome-cs
-Prefer: -bundle-lang-gnome-ko -bundle-lang-gnome-da -bundle-lang-gnome-nl -bundle-lang-gnome-hu
-Prefer: -bundle-lang-gnome-pl -bundle-lang-gnome-fi -bundle-lang-gnome-nb -bundle-lang-gnome-sv
-Prefer: -bundle-lang-gnome-it -bundle-lang-gnome-ca -bundle-lang-gnome-ar
-Prefer: -bundle-lang-gnome-extras-es -bundle-lang-gnome-extras-de -bundle-lang-gnome-extras-fr
-Prefer: -bundle-lang-gnome-extras-pt -bundle-lang-gnome-extras-en -bundle-lang-gnome-extras-el
-Prefer: -bundle-lang-gnome-extras-zh -bundle-lang-gnome-extras-ja -bundle-lang-gnome-extras-ru -bundle-lang-gnome-extras-cs
-Prefer: -bundle-lang-gnome-extras-ko -bundle-lang-gnome-extras-da -bundle-lang-gnome-extras-nl -bundle-lang-gnome-extras-hu
-Prefer: -bundle-lang-gnome-extras-pl -bundle-lang-gnome-extras-fi -bundle-lang-gnome-extras-nb -bundle-lang-gnome-extras-sv
-Prefer: -bundle-lang-gnome-extras-it -bundle-lang-gnome-extras-ca -bundle-lang-gnome-extras-ar
-Prefer: -bundle-lang-common-es -bundle-lang-common-de -bundle-lang-common-fr
-Prefer: -bundle-lang-common-pt -bundle-lang-common-en -bundle-lang-common-el
-Prefer: -bundle-lang-common-ja -bundle-lang-common-zh -bundle-lang-common-cs -bundle-lang-common-ru
-Prefer: -bundle-lang-common-nl -bundle-lang-common-hu -bundle-lang-common-pl -bundle-lang-common-da
-Prefer: -bundle-lang-common-ko -bundle-lang-common-nb -bundle-lang-common-fi -bundle-lang-common-sv
-Prefer: -bundle-lang-common-it -bundle-lang-common-ca -bundle-lang-common-ar
-Prefer: -libgcc-mainline -libstdc++-mainline -gcc-mainline-c++
-Prefer: -libgcj-mainline -viewperf -compat -compat-openssl097g
-Prefer: -zmd -libreoffice -pam-laus -libgcc-tree-ssa -busybox-links
-Prefer: -python-setuptools
-Prefer: -kdenetwork3-InstantMessenger
-Prefer: -icc-profiles
-Prefer: libsocialweb:libsocialweb-branding-upstream
-Prefer: gnome-panel:gnome-panel-branding-upstream
-Prefer: vala
-Prefer: wallpaper-branding-openSUSE
-# in doubt, take xerces
-Prefer: -crimson
-# in doubt, take higher versions
-Prefer: -rubygem-rack-1_1 -rubygem-rack-1_2 -rubygem-rack-1_3 -rubygem-tilt-1_1 -rubygem-rack-1_4
-Prefer: -rubygem-method_source-0_7 -rubygem-rails-2_3 -rubygem-activerecord-2_3
-Prefer: -rubygem-json_pure-1_5
-Prefer: geronimo-servlet-2_4-api
-Prefer: -libhdf5-0-openmpi -libhdf5_hl0-openmpi -libhdf5_hl8-openmpi -libhdf5-8-openmpi -libhdf5_hl9-openmpi -libhdf5-9-openmpi -libhdf5-10-openmpi -libhdf5_hl10-openmpi
-# for now gstream 0.10 is it
-Prefer: typelib-1_0-Gst-0_10 gstreamer-0_10-utils-unversioned gstreamer-0_10-utils typelib-1_0-GstInterfaces-0_10 libQtGLib-2_0-0 libQtGLib-devel
-# prefer the small systemd for building
-Prefer: libudev-mini-devel libudev-mini1 udev-debuginfo libudev1-debuginfo
-Prefer: systemd-mini systemd-mini-devel
-Prefer: systemd-mini-devel:systemd-mini
-Prefer: udev-mini libcom_err2-mini libext2fs2-mini
-Prefer: libudev1:udev
-Prefer: xmlgraphics-commons:apache-commons-io
-# the -32bit stuff provides things it shouldn't (hopefully temporary)
-Prefer: -typelib-1_0-GdkPixbuf-2_0-32bit -typelib-1_0-Pango-1_0-32bit
-Prefer: postgresql postgresql-server
-Prefer: -unzip-rcc
-Prefer: -primus -primus-32bit
-Prefer: -staging-build-key
-Prefer: -sssd-wbclient
-Prefer: -clutter-gst-devel
-Prefer: -opencv-qt5-devel
-# ffmpeg and its fork libav both provide libswscale; prefer the 'original' ffmpeg
-Prefer: -libswscale-libav-devel -libavformat-libav-devel -libavresample-libav-devel
-# as long as kactivities4 exists and is provided
-Prefer: kactivities5
-
-# kernel bug (coolo)
-Prefer: kernel-default-devel
-
-Prefer: wxWidgets-2_9-devel
-Prefer: libopenssl-devel
-
-Prefer: -NX -xaw3dd -db43
-Prefer: -xerces-j2-xml-resolver -xerces-j2-xml-apis
-Prefer: -vmware-player
-Prefer: libgcc_s1 libgcc_s1-32bit libgcc_s1-64bit
-Prefer: libffi4 libffi-devel-gcc%{gcc_version}
-Prefer: -libatomic1-gcc49 -libitm1-gcc49 -libgcj_bc1-gcc49 -libtsan0-gcc49 -libatomic1-gcc49-32bit -libitm1-gcc49-32bit
-Prefer: -libitm1-gcc48 -libitm1-gcc48-32bit -libatomic1-gcc48 -libatomic1-gcc48-32bit -libtsan0-gcc48
-Prefer: -libstdc++6-gcc48 -libgomp1-gcc48 -libatomic1-gcc48
-Prefer: libgcc_s1-x86 libgcj_bc1
-Prefer: libffi4-32bit libffi4-64bit
-Prefer: libgomp1 libgomp1-32bit libgomp1-64bit
-Prefer: libmudflap4 libmudflap4-32bit libmudflap4-64bit
-Prefer: libobjc4 libgfortran3 libquadmath0
-Prefer: -libnetpbm -libcdio7-mini -libiso9660-5-mini -libiso9660-7-mini -libcdio10-mini -libcdio12-mini
-Prefer: -libcdio-mini -faac-mini -libcdio-mini-devel
-Prefer: -seamonkey
-Prefer: -libdb-4_4-devel -libdb-4_5-devel -libevoldap-2_4-2
-Prefer: libopenal0-soft openal-soft -lsb-buildenv
-Prefer: -libevent
-Prefer: gnu-crypto libusb-compat-devel
-Prefer: libusb-0_1-4
-Prefer: CASA_auth_token_svc:xerces-j2
-Prefer: libreoffice:xerces-j2
-Prefer: k3b:libdvdread4
-Prefer: glibc-devel
-Prefer: -libpcap -libiniparser -loudmouth -libkonq4 -libnetcdf-4 -java-1_7_0-openjdk-javadoc -java-1_7_0-icedtea-javadoc
-Prefer: -java-1_7_0-icedtea-devel
-Prefer: NetworkManager:dhcp-client
-Prefer: kdebase3-SuSE:kdebase3
-Prefer: kde4-kdm:kde4-kdm-branding-upstream
-Prefer: kdm:kdm-branding-upstream
-Prefer: pcre-tools
-Prefer: libpopt0
-Prefer: -apache2-mod_perl -otrs -qa_apache_testsuite -ctcs2
-Prefer: libgnome-keyring-devel
-Prefer: linux-glibc-devel
-Prefer: squid sysvinit
-Prefer: libpng16-compat-devel
-Prefer: -python3 -python3-gobject-devel -python3-gobject2-devel -x11-video-fglrxG02 -libpng12-0
-Prefer: perl-Mail-SPF:perl-Error libldb0 -audit-libs mysql-community-server mysql-community-server-client
-#needed because new xml-commons package
-Prefer: xml-commons-resolver12 xml-commons-jaxp-1.3-apis
-Prefer: xmlgraphics-fop:xerces-j2
-Prefer: libxfce4ui:libxfce4ui-branding-upstream
-Prefer: libgarcon-1-0:libgarcon-branding-upstream
-Prefer: libgarcon-data:libgarcon-branding-upstream
-Prefer: libexo-1-0:libexo-1-0-branding-upstream
-Prefer: gnome-shell:mozilla-js20
-Prefer: cogl-devel
-Prefer: -perl-XML-SAX perl-Test-YAML
-Prefer: gettext-tools-mini gettext-runtime-mini
-# choice p11-kit-nss-trust
-Prefer: mozilla-nss-certs
-# amarok dependency resolution
-Prefer: phonon-backend-gstreamer
-# replacing mkinitrd
-Prefer: dracut
-# replacing module-init-tools
-Prefer: kmod-compat
-# Temporary
-Prefer: oxygen5-cursors
-# Temporary
-Prefer: -perl-App-cpanminus
-# wireshark has now split off the ui. qt is considered experimental 2014-08-09
-Prefer: wireshark-ui-gtk
-# libmediaart is prepared for a larger update; for now favor mediaart-1.0
-Prefer: -typelib-1_0-MediaArt-2_0
-
-Ignore: installation-images-openSUSE:cracklib-dict-full
-Ignore: java-1_7_0-openjdk:mozilla-nss
-Ignore: java-1_7_0-openjdk:java-ca-certificates
-Ignore: openSUSE-release:openSUSE-release-ftp,openSUSE-release-dvd5,openSUSE-release-biarch,openSUSE-release-livecdkde,openSUSE-release-livecdgnome
-Ignore: cracklib:cracklib-dict
-Ignore: aaa_base:aaa_skel,suse-release,logrotate,ash,distribution-release,udev
-Ignore: sysvinit:mingetty
-Ignore: gettext-tools:libgcj,libstdc++-devel,libgcj41,libstdc++41-devel,libgcj42,libstdc++42-devel
-Ignore: libgcj43,libstdc++43-devel
-Ignore: libgcj44,libstdc++44-devel
-Ignore: libgcj45,libstdc++45-devel
-Ignore: libgcj46,libstdc++46-devel
-Ignore: libgcj47,libstdc++47-devel
-Ignore: pwdutils:openslp
-Ignore: pam-modules:resmgr
-Ignore: rpm:suse-build-key,build-key
-Ignore: bind-utils:bind-libs
-Ignore: alsa:dialog,pciutils
-Ignore: portmap:syslogd
-Ignore: xorg-x11:x11-tools,resmgr,xkeyboard-config,xorg-x11-Mesa,libusb,freetype2,libjpeg,libpng
-Ignore: xorg-x11-server:xorg-x11-driver-input,xorg-x11-driver-video
-Ignore: apache2:logrotate
-Ignore: arts:alsa,audiofile,resmgr,libogg,libvorbis
-Ignore: kdelibs3:alsa,arts,OpenEXR,aspell,cups-libs,mDNSResponder-lib,krb5,libjasper
-Ignore: kdelibs3-devel:libvorbis-devel
-Ignore: kdebase3:kdebase3-ksysguardd,OpenEXR,dbus-1,dbus-1-qt,hal,powersave,openslp,libusb
-Ignore: kdebase3-SuSE:release-notes
-Ignore: jack:alsa,libsndfile
-Ignore: libxml2-devel:readline-devel
-Ignore: gnome-vfs2:gnome-mime-data,desktop-file-utils,cdparanoia,dbus-1,dbus-1-glib,hal,libsmbclient,fam,file_alteration
-Ignore: libgda:file_alteration
-Ignore: gnutls:lzo,libopencdk
-Ignore: gnutls-devel:lzo-devel,libopencdk-devel
-Ignore: pango:cairo,glitz,libpixman,libpng
-Ignore: pango-devel:cairo-devel
-Ignore: cairo-devel:libpixman-devel
-Ignore: libgnomeprint:libgnomecups
-Ignore: libgnomeprintui:libgnomecups
-Ignore: orbit2-devel:indent
-Ignore: qt3:libmng
-Ignore: qt-sql:qt_database_plugin
-Ignore: gtk2:libpng,libtiff
-Ignore: libgnomecanvas-devel:glib-devel
-Ignore: libgnomeui:gnome-icon-theme,shared-mime-info
-Ignore: scrollkeeper:docbook_4
-Ignore: gnome-desktop:libgnomesu,startup-notification
-Ignore: python-devel:python-tk
-Ignore: gnome-pilot:gnome-panel
-Ignore: gnome-panel:control-center2
-Ignore: gnome-menus:kdebase3
-Ignore: gnome-main-menu:rug
-Ignore: libgtk-3-0:adwaita-icon-theme
-Ignore: libbonoboui:gnome-desktop
-Ignore: libxfce4ui-1-0:exo-tools
-Ignore: docbook_4:iso_ent,xmlcharent
-Ignore: control-center2:nautilus,evolution-data-server,gnome-menus,gstreamer-plugins,gstreamer,metacity,mozilla-nspr,mozilla,libxklavier,gnome-desktop,startup-notification
-Ignore: docbook-xsl-stylesheets:xmlcharent
-Ignore: liby2util-devel:libstdc++-devel,openssl-devel
-Ignore: yast2:yast2-ncurses,yast2_theme,perl-Config-Crontab,yast2-xml,SuSEfirewall2
-Ignore: yast2-core:netcat,hwinfo,wireless-tools,sysfsutils
-Ignore: yast2-core-devel:libxcrypt-devel,hwinfo-devel,blocxx-devel,sysfsutils,libstdc++-devel
-Ignore: yast2-packagemanager-devel:rpm-devel,curl-devel,openssl-devel
-Ignore: yast2-devtools:libxslt
-Ignore: yast2-iscsi-lio-server:lio-utils
-Ignore: yast2-installation:yast2-update,yast2-mouse,yast2-country,yast2-bootloader,yast2-packager,yast2-network,yast2-online-update,yast2-users,release-notes,autoyast2-installation
-Ignore: yast2-bootloader:bootloader-theme
-Ignore: yast2-packager:yast2-x11,libyui_pkg
-Ignore: autoyast2:yast2-schema
-# not during build
-Ignore: yui_backend
-Ignore: yast2-x11:sax2-libsax-perl
-Ignore: yast2-network:yast2-inetd
-Ignore: openslp-devel:openssl-devel
-Ignore: java-1_4_2-sun:xorg-x11-libs
-Ignore: java-1_4_2-sun-devel:xorg-x11-libs
-Ignore: tetex:xorg-x11-libs,expat,fontconfig,freetype2,libjpeg,ghostscript-x11,xaw3d,gd,dialog,ed
-Ignore: texlive-bin:ghostscript-x11
-Ignore: texlive-bin-omega:ghostscript-x11
-Ignore: yast2-country:yast2-trans-stats
-Ignore: tpb:tpctl-kmp
-Ignore: tpctl:tpctl-kmp
-Ignore: zaptel:zaptel-kmp
-Ignore: mkinitrd:pciutils
-Ignore: pciutils:pciutils-ids
-Ignore: postfix:iproute2
-Ignore: aaa_base:systemd
-Ignore: gpm:systemd
-Ignore: ConsoleKit:systemd
-Ignore: openssh:systemd
-Ignore: cronie:systemd
-Ignore: systemd:kbd
-Ignore: systemd:kmod
-Ignore: systemd:systemd-presets-branding
-Ignore: systemd:dbus-1
-Ignore: systemd:pam-config
-Ignore: systemd:udev
-Ignore: pesign:systemd
-Ignore: systemd-mini:this-is-only-for-build-envs
-Ignore: libsystemd0-mini:this-is-only-for-build-envs
-Ignore: udev-mini:this-is-only-for-build-envs
-Ignore: libudev-mini1:this-is-only-for-build-envs
-Ignore: jdk-bootstrap:this-is-only-for-build-envs
-Prefer: -harfbuzz-bootstrap -harfbuzz-bootstrap-devel
-Ignore: harfbuzz-bootstrap:this-is-only-for-build-envs
-Ignore: polkit:ConsoleKit
-Ignore: logrotate:cron
-Ignore: texlive-filesystem:cron
-Ignore: xinit:xterm
-Ignore: xdm:xterm
-Ignore: gnome-control-center:gnome-themes-accessibility
-Ignore: coreutils:info
-Ignore: cpio:info
-Ignore: diffutils:info
-Ignore: findutils:info
-Ignore: gawk:info
-Ignore: grep:info
-Ignore: groff:info
-Ignore: m4:info
-Ignore: sed:info
-Ignore: tar:info
-Ignore: util-linux:info
-Ignore: gettext-tools:info
-Ignore: gettext-runtime:info
-Ignore: libgcrypt-devel:info
-Ignore: binutils:info
-Ignore: gzip:info
-Ignore: make:info
-Ignore: bison:info
-Ignore: flex:info
-Ignore: help2man:info
-Ignore: man:groff-full
-Ignore: git-core:rsync
-Ignore: apache2:systemd
-Ignore: icewm-lite:icewm
-Ignore: cluster-glue:sudo
-
-Ignore: libgcc:glibc-32bit
-Ignore: libgcc41:glibc-32bit
-Ignore: libgcc42:glibc-32bit
-Ignore: libgcc43:glibc-32bit
-Ignore: libgcc44:glibc-32bit
-Ignore: libgcc45:glibc-32bit
-Ignore: libgcc46:glibc-32bit
-Ignore: libgcc47:glibc-32bit
-Ignore: libstdc++:glibc-32bit
-Ignore: libstdc41++:glibc-32bit
-Ignore: libstdc42++:glibc-32bit
-Ignore: libstdc43++:glibc-32bit
-Ignore: libstdc44++:glibc-32bit
-Ignore: libstdc45++:glibc-32bit
-Ignore: libstdc46++:glibc-32bit
-Ignore: libstdc47++:glibc-32bit
-Ignore: ncurses-32bit
-
-Ignore: susehelp:susehelp_lang,suse_help_viewer
-Ignore: mailx:smtp_daemon
-Ignore: cron:smtp_daemon
-Ignore: hotplug:syslog
-Ignore: pcmcia:syslog
-Ignore: openct:syslog
-Ignore: postfix:sysvinit(syslog)
-Ignore: cups:sysvinit(syslog)
-Ignore: jython:servlet
-Ignore: ispell:ispell_dictionary,ispell_english_dictionary
-Ignore: aspell:aspel_dictionary,aspell_dictionary
-Ignore: smartlink-softmodem:kernel,kernel-nongpl
-Ignore: libreoffice-de:myspell-german-dictionary
-Ignore: libreoffice:libreoffice-i18n
-Ignore: libreoffice:libreoffice-icon-themes
-Ignore: mediawiki:php-session,php-gettext,php-zlib,php-mysql,mod_php_any
-Ignore: squirrelmail:mod_php_any,php-session,php-gettext,php-iconv,php-mbstring,php-openssl
-Ignore: perl-Log-Log4perl:rrdtool
-
-Ignore: simias:mono(log4net)
-Ignore: zmd:mono(log4net)
-Ignore: horde:mod_php_any,php-gettext,php-mcrypt,php-imap,php-pear-log,php-pear,php-session,php
-
-Ignore: xerces-j2:xml-commons-apis,xml-commons-resolver
-Ignore: xdg-menu:desktop-data
-Ignore: nessus-libraries:nessus-core
-Ignore: evolution:yelp
-Ignore: e17:e17-branding e17:e17-theme
-
-Ignore: mono-tools:mono(gconf-sharp),mono(glade-sharp),mono(gnome-sharp),mono(gtkhtml-sharp),mono(atk-sharp),mono(gdk-sharp),mono(glib-sharp),mono(gtk-sharp),mono(pango-sharp)
-Ignore: gecko-sharp2:mono(glib-sharp),mono(gtk-sharp)
-
-Ignore: vcdimager:libcdio.so.6,libcdio.so.6(CDIO_6),libiso9660.so.4,libiso9660.so.4(ISO9660_4)
-Ignore: libcdio:libcddb.so.2
-
-Ignore: gnome-libs:libgnomeui
-Ignore: nautilus:gnome-themes
-Ignore: gnome-panel:gnome-themes
-Ignore: gnome-panel:tomboy
-Ignore: NetworkManager:NetworkManager-client
-Ignore: libbeagle:beagle
-Ignore: coreutils:coreutils-lang
-Ignore: cpio:cpio-lang
-Ignore: glib2:glib2-lang
-Ignore: gtk2:gtk2-lang
-Ignore: gtk:gtk-lang
-Ignore: atk:atk-lang
-Ignore: hal:pm-utils
-Ignore: MozillaThunderbird:pinentry-dialog
-Ignore: seamonkey:pinentry-dialog
-Ignore: pinentry:pinentry-dialog
-Ignore: gpg2:gpg2-lang
-Ignore: util-linux:util-linux-lang
-Ignore: suseRegister:distribution-release
-Ignore: compiz:compiz-decorator
-Ignore: icecream:gcc-c++
-Ignore: no
-Ignore: package
-Ignore: provides
-Ignore: j9vm/libjvm.so()(64bit)
-Ignore: kdepim3:suse_help_viewer
-Ignore: kdebase3-SuSE:kdebase3-SuSE-branding
-Ignore: kio_sysinfo:kdebase3-SuSE-branding
-Ignore: gnome-menus:gnome-menus-branding
-Ignore: epiphany:epiphany-branding
-Ignore: gnome-control-center:gnome-control-center-branding
-Ignore: phonon:phonon-backend
-Ignore: openwbem-devel
-Ignore: MozillaFirefox:MozillaFirefox-branding
-Ignore: yast2:yast2-branding
-Ignore: plymouth:plymouth-branding
-Ignore: plymouth:suspend
-Ignore: yast2-qt:yast2-branding
-Ignore: yast2-theme-SLE:yast2-branding
-Ignore: yast2-registration:yast2-registration-branding
-Ignore: compiz:compiz-branding
-Ignore: texlive:perl-Tk texlive-bin:perl-Tk
-Ignore: xfce4-desktop:xfce4-desktop-branding
-Ignore: xfce4-panel:xfce4-panel-branding
-Ignore: xfce4-session:xfce4-session-branding
-Ignore: kdebase4-runtime:kdebase4-runtime-branding
-Ignore: kwin:kdebase4-workspace-branding
-Ignore: pulseaudio:kernel
-Ignore: transmission-common:transmission-ui
-Ignore: mutter-moblin:moblin-branding
-Ignore: sysvinit-tools:mkinitrd cifs-utils:mkinitrd
-Ignore: mkinitrd:sbin_init
-Ignore: opensc:pinentry
-Ignore: gpg2:pinentry
-Ignore: NetworkManager:dhcp
-Ignore: NetworkManager:iproute2
-# sysconfig requires it at runtime, not buildtime
-Ignore: sysconfig:dbus-1
-Ignore: sysconfig:procps
-Ignore: sysconfig:iproute2
-Ignore: sysconfig-network:iproute2
-Ignore: sysconfig:tunctl
-# no build dependencies
-Ignore: libksuseinstall1:yast2-packager
-Ignore: libksuseinstall1:zypper
-Ignore: syslog-service:logrotate
-Ignore: libglue-devel:cluster-glue
-Ignore: libqca2:gpg2
-Ignore: NetworkManager:wpa_supplicant
-Ignore: NetworkManager:dhcp-client
-Ignore: libgio-2_0-0:dbus-1-x11
-Ignore: weather-wallpaper:inkscape
-Ignore: libgamin-1-0:gamin-server
-Ignore: libfam0-gamin:gamin-server
-Ignore: python3:python3-pip
-Ignore: avahi:sysvinit(network)
-Ignore: cluster-glue:sysvinit(network)
-
-# RUBY STUFF
-
-%define %_with_ruby21 0
-
-Macros:
-#
-# IMPORTANT IMPORTANT IMPORTANT IMPORTANT IMPORTANT IMPORTANT
-#
-# if you change any macros here you have to update the copy in the
-# ruby-common as well.
-#
-# IMPORTANT IMPORTANT IMPORTANT IMPORTANT IMPORTANT IMPORTANT
-#
-%rubygem() %{expand:%%{rubygems%rb_build_versions STOP %*}}
-%rubygemsSTOP() %nil
-%rubygemsxSTOP() %{expand:%%rubygemsxxSTOP -a %*}
-%rubygemsxxSTOP(a:) %{-a*}) %*
-
-%rubySTOP() %nil
-%rubyxSTOP() %*
-
-%ruby() %{expand:%%{ruby%rb_build_versions STOP %*}}
-
-%rubydevel() %{expand:%%{rubydevel%rb_build_versions STOP %*}}
-
-%rubydevelSTOP() %nil
-%rubydevelxSTOP() %*
-
-# IMPORTANT IMPORTANT IMPORTANT IMPORTANT IMPORTANT IMPORTANT
-# if you change any macros here you have to update the copy in the
-# ruby2.1 package as well.
-
-%rubygemsruby21() rubygem(ruby:2.1.0:%{expand:%%rubygemsx%*} %{expand:%%{rubygems%*}}
-%rubygemsxruby21() %{expand:%%{rubygemsx%*}}
-
-%rubyruby21() ruby2.1 %{expand:%%rubyx%*} %{expand:%%{ruby%*}}
-%rubyxruby21() %{expand:%%{rubyx%*}}
-
-%rubydevelruby21() ruby2.1-devel %{expand:%%rubydevelx%*} %{expand:%%{rubydevel%*}}
-%rubydevelxruby21() %{expand:%%{rubydevelx%*}}
-
-%_with_ruby21 1
-
-:Macros
-
-Macros:
-#
-# IMPORTANT IMPORTANT IMPORTANT IMPORTANT IMPORTANT IMPORTANT
-#
-# if you change any macros here you have to update the copy in the
-# prjconf aswell.
-#
-# IMPORTANT IMPORTANT IMPORTANT IMPORTANT IMPORTANT IMPORTANT
-#
-%rubygemsruby22() rubygem(ruby:2.2.0:%{expand:%%rubygemsx%*} %{expand:%%{rubygems%*}}
-%rubygemsxruby22() %{expand:%%{rubygemsx%*}}
-
-%rubyruby22() ruby2.2 %{expand:%%rubyx%*} %{expand:%%{ruby%*}}
-%rubyxruby22() %{expand:%%{rubyx%*}}
-
-%rubydevelruby22() ruby2.2-devel %{expand:%%rubydevelx%*} %{expand:%%{rubydevel%*}}
-%rubydevelxruby22() %{expand:%%{rubydevelx%*}}
-
-%_with_ruby22 1
-
-:Macros
-
-%define %_with_ruby21 0
-%define rb_default_ruby ruby22
-%define rb_default_ruby_suffix ruby2.2
-%define rb_default_ruby_abi ruby:2.2.0
-
-%define rb_build_ruby_abis ruby:2.1.0 ruby:2.2.0
-%define rb_build_versions ruby21 ruby22
-Macros:
-%rb_default_ruby ruby22
-%rb_default_ruby_suffix ruby2.2
-%rb_default_ruby_abi ruby:2.2.0
-
-%rb_build_ruby_abis ruby:2.1.0 ruby:2.2.0
-%rb_build_versions ruby21 ruby22
-:Macros
-
-Prefer: -ruby-stdlib
-Prefer: %{rb_default_ruby_suffix}-rubygem-gem2rpm
-Prefer: %{rb_default_ruby_suffix}-rubygem-ruby-dbus
-Prefer: %{rb_default_ruby_suffix}-rubygem-yard
-Prefer: %{rb_default_ruby_suffix}-rubygem-rspec
-Prefer: %{rb_default_ruby_suffix}-rubygem-yast-rake
-Prefer: %{rb_default_ruby_suffix}-rubygem-cheetah
-Prefer: %{rb_default_ruby_suffix}-rubygem-inifile
-Prefer: %{rb_default_ruby_suffix}-rubygem-bundler
-Prefer: %{rb_default_ruby_suffix}-rubygem-sass
-
-# END RUBY STUFF
-
-Prefer: java-1_8_0-openjdk java-1_8_0-openjdk-devel
-Prefer: java-1_7_0-openjdk java-1_7_0-openjdk-devel
-
-Prefer: -java-1_5_0-gcj-compat-devel
-%ifarch %ix86 x86_64
-Prefer: -java-1_5_0-ibm-devel
-%endif
-
-Substitute: java2-devel-packages java-1_7_0-openjdk-devel
-
-%ifarch x86_64 ppc64 s390x sparc64
-Substitute: glibc-devel-32bit glibc-devel-32bit glibc-32bit
-%else
- %ifarch ppc sparc sparcv9
-Substitute: glibc-devel-32bit glibc-devel-64bit
- %else
-Substitute: glibc-devel-32bit
- %endif
-%endif
-
-%ifarch %ix86
-Substitute: kernel-binary-packages kernel-default kernel-smp kernel-bigsmp kernel-debug kernel-xen
-%endif
-%ifarch ia64
-Substitute: kernel-binary-packages kernel-default kernel-debug
-%endif
-%ifarch x86_64
-Substitute: kernel-binary-packages kernel-default kernel-smp kernel-xen
-%endif
-%ifarch ppc
-Substitute: kernel-binary-packages kernel-default kernel-ppc64 kernel-ps3
-%endif
-%ifarch ppc64
-Substitute: kernel-binary-packages kernel-default kernel-ppc64
-%endif
-%ifarch s390
-Substitute: kernel-binary-packages kernel-s390
-%endif
-%ifarch s390x
-Substitute: kernel-binary-packages kernel-default
-%endif
-
-# until the builds of the packages are fixed...
-Substitute: yast2-theme-SLED
-Substitute: yast2-theme-SLE
-
-Optflags: i586 -fomit-frame-pointer -fmessage-length=0 -grecord-gcc-switches
-Optflags: i686 -march=i686 -mtune=generic -fomit-frame-pointer -fmessage-length=0 -grecord-gcc-switches
-Optflags: x86_64 -fmessage-length=0 -grecord-gcc-switches
-Optflags: ppc -fmessage-length=0 -grecord-gcc-switches
-Optflags: ppc64 -fmessage-length=0 -grecord-gcc-switches
-Optflags: ia64 -fmessage-length=0 -grecord-gcc-switches
-Optflags: s390 -fmessage-length=0 -grecord-gcc-switches
-Optflags: s390x -fmessage-length=0 -grecord-gcc-switches
-Optflags: armv7l -fmessage-length=0 -grecord-gcc-switches
-Optflags: armv7hl -fmessage-length=0 -grecord-gcc-switches
-Optflags: armv6l -fmessage-length=0 -grecord-gcc-switches
-Optflags: armv6hl -fmessage-length=0 -grecord-gcc-switches
-Optflags: aarch64 -fmessage-length=0 -grecord-gcc-switches
-Optflags: ppc64le -fmessage-length=0 -grecord-gcc-switches
-# need mcpu=ultrasparc to complete sparcv8plus to sparcv9 (adds, for example, atomic ops)
-Optflags: sparcv9 -fmessage-length=0 -grecord-gcc-switches -mcpu=ultrasparc
-Optflags: sparc64 -fmessage-length=0 -grecord-gcc-switches -mcpu=ultrasparc
-%ifarch sparcv9
-Target: sparcv9
-%endif
-%ifarch armv6l armv6hl
-Target: armv6hl-suse-linux
-%endif
-%ifarch armv7l armv7hl
-Target: armv7hl-suse-linux
-%endif
-
-
-Optflags: * -O2 -Wall -D_FORTIFY_SOURCE=2 -fstack-protector -funwind-tables -fasynchronous-unwind-tables
-
-%define suse_version 1321
-%define is_opensuse 1
-
-Macros:
-%suse_version 1321
-%is_opensuse 1
-
-%insserv_prereq insserv sed
-%fillup_prereq fillup coreutils grep diffutils
-%suseconfig_fonts_prereq perl aaa_base
-%install_info_prereq info
-%kernel_module_package_buildreq kmod-compat kernel-syms
-%kernel_module_package_buildreqs kmod-compat kernel-syms
-
-%sles_version 0
-%ul_version 0
-%do_profiling 1
-%_vendor suse
-
-# define which gcc package builds the system libraries
-%product_libs_gcc_ver 5
-
-%ext_info .gz
-%ext_man .gz
-
-%info_add(:-:) test -x /sbin/install-info -a -f %{?2}%{?!2:%{_infodir}}/%{1}%ext_info && /sbin/install-info --info-dir=%{?2}%{?!2:%{_infodir}} %{?2}%{?!2:%{_infodir}}/%{1}%ext_info \
-%{nil}
-
-%info_del(:-:) test -x /sbin/install-info -a ! -f %{?2}%{?!2:%{_infodir}}/%{1}%ext_info && /sbin/install-info --quiet --delete --info-dir=%{?2}%{?!2:%{_infodir}} %{?2}%{?!2:%{_infodir}}/%{1}%ext_info \
-%{nil}
-:Macros
-